Subject: bug#56323: 29.0.50; [v2] Add new customisable phonetic Tamil input method

From: Visuwesh <[email-masked]>
Date: Sat, 02 Jul 2022 16:01:14 +0530

[சனி ஜூலை 02, 2022] Eli Zaretskii wrote:

>> > So, then please explain what should be the "correct" order within each
>> > sub-list.  Is the correct order within each sub-list in the ascending
>> > order of the codepoint?  If not, what is the correct order?
>> >
>> 
>> The correct order is not the ascending order of the codepoint, the
>> correct order is
>> 
>> க ங ச ஞ ட ண த ந ப ம ய ர ல வ ழ ள ற ன
>> 
>> and their respective codepoints are
>> 
>> 2965 2969 2970 2974 2975 2979 2980 2984 2986 2990 2991 2992 2994 2997 2996 2995 2993 2985
>
> Why is this the correct order?  Does it have any definition based on
> some principles, not just on the above list?

I'm not sure if there is a principle behind it.  Is there a principle
behind why a comes first after b?  Same thing, I suppose.  But it does
raise my brow when I see them out of order which is why I'm bothering to
sort them.